Bug 89623 - Installer will not read driver CD on machine with no Floppy Drive
Installer will not read driver CD on machine with no Floppy Drive
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: 89881 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-04-25 04:05 EDT by Jonathan Heard
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-28 16:10:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Heard 2003-04-25 04:05:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; SunOS 5.9 sun4u) Opera 6.12  [en]

Description of problem:
I need to install RedHat onto a system using the Intel SE7501WV2 motherboard with 2x2.8GHz Xeon processors. The chassis I have, does not contain a floppy drive, nor does it have the capability to.

The system has got and Adaptec AIC-7902 SCSI controller, and in order to install RedHat on the primary SCSI disk, I need to install the relevant driver from the CD supplied with the intel motherboard.

When I run 'linux dd' or 'linux expert', the installer asks me if I have a Driver Disk and I say 'Yes'.. It then sits trying to mount the non-existant floppy drive  (CTRL+ALT+F3/F4  to see this) with both FAT and EXT fstypes, and then comes back telling me it could not see find the driver disk!

From what I can see, it is not making *any* attempt to read from the CD-ROM drive. I have searched Bugzilla, RedHat's documentation and Google for information about instaling extra drivers on floppy-less systems, and have found nothing.

I'm sure it is unlikely that an advanced operating system like RedHat would be crippled  at installation by not supporting CD Roms for drivers.  (which Windows has been doing since at least 1995). 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot Linux with 'linux dd' or 'linux expert'
2. When prompted for driver disk, remove RedHat DVD, and insert Driver CD
3. Press Okay and wait for a few minutes at the blank screen.
4. Error comes back that a driver disk could not be found.

Actual Results:  Does not locate SCSI drivers for Hard Disk controller, hence Linux cannot be installed.

Expected Results:  Installer Finds AIC-7902 driver from cdrom/Drivers/SCSI/"Red Hat Linux"/ and contiunes installation onto the Primary Hard Disk.

Additional info:
Comment 1 Michael Fulbright 2003-04-28 16:07:04 EDT
We have plans to add the ability to pull a driver 'disk' from sources other than
a floppy drive in a future release.
Comment 2 Jeremy Katz 2003-04-28 16:10:02 EDT
In fact, Red Hat Linux 9 supports using a driver disk from CD. 
Comment 3 Jonathan Heard 2003-04-29 07:35:26 EDT
*** Bug 89881 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.